using System;
using System.Collections.Generic;
using System.Text;
using nft.framework.plugin;
using System.Xml;
using System.Diagnostics;

namespace nft.debug {
    class TestBinaryModule :BinaryModule {
        public TestBinaryModule(Plugin p, XmlElement e)
            : base(p, e) {
            Debug.WriteLine("TestBinaryModule Constructed");
        }

        protected override InitCompleteEventHandler Initialize() {
            Debug.WriteLine("TestBinaryModule Initialized");
            return OnComplete;
        }

        private void OnComplete() {
            Debug.WriteLine("TestBinaryModule OnComplete called");
        }
    }
}
